Summary:        Taglib support for other formats
Name:           taglib-extras
Version:        1.0.1
Release:        %mkrel 14
Group:          File tools
License:        LGPLv2
URL:            http://websvn.kde.org/trunk/kdesupport/taglib-extras/
Source0:        http://www.jefferai.com/taglib-extras/taglib-extras-%{version}.tar.gz
Patch0:         taglib-extras-1.0.1-taglib-version.patch
Patch1:         taglib-extras-1.0.1-version.patch
BuildRequires:  taglib-devel
BuildRequires:  cmake

%description
Taglib-extras delivers support for reading and editing the meta-data of
audio formats not supported by taglib, including: asf, mp4v2, rmff, wav.

#------------------------------------------------------------------------------
%define extras_major 1
%define libextras %mklibname tag-extras %extras_major

%package -n  %{libextras}
Summary:     %{name} library
Group:       System/Libraries
Conflicts:   taglib-extras < 1.0.1-4
Obsoletes:   taglib-extras < 1.0.1-4

%description -n %{libextras}
Taglib-extras delivers support for reading and editing the meta-data of
audio formats not supported by taglib, including: asf, mp4v2, rmff, wav.

%files -n %{libextras}
%doc COPYING.LGPL
%{_libdir}/libtag-extras.so.%{extras_major}
%{_libdir}/libtag-extras.so.%{extras_major}.*

#--------------------------------------------------------------------

%package     devel
Summary:     Development files for %{name}
Group:       Development/C++
Requires:    %{libextras} = %{version}-%{release}

%description devel
%{summary}.

%files devel
%{_bindir}/taglib-extras-config
%{_includedir}/taglib-extras
%{_libdir}/libtag-extras.so
%{_libdir}/pkgconfig/taglib-extras.pc

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p3
%patch1 -p1

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Fri Feb 14 2020 daviddavid <daviddavid> 1.0.1-14.mga8
+ Revision: 1517757
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-13.mga7
+ Revision: 1301307
- Mageia 7 Mass Rebuild

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.0.1-12.mga6
+ Revision: 918511
- add patch from fedora to fix version provided by pkgconfig file
- add upstream patch to fix build with taglib 1.10

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-10.mga5
+ Revision: 750974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-9.mga5
+ Revision: 689678
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-8.mga4
+ Revision: 519459
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-7.mga3
+ Revision: 384011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 1.0.1-6.mga3
+ Revision: 340054
- Fix rpm group
- Add missing conflicts

* Thu Sep 06 2012 fwang <fwang> 1.0.1-5.mga3
+ Revision: 288793
- kdelibs4 is not needed

* Thu Sep 06 2012 fwang <fwang> 1.0.1-4.mga3
+ Revision: 288764
- correct libname

* Mon Jan 24 2011 ahmad <ahmad> 1.0.1-3.mga1
+ Revision: 35823
- imported package taglib-extras


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdv2011.0
+ Revision: 607963
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2010.1
+ Revision: 524140
- rebuilt for 2010.1

* Tue Sep 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.1-1mdv2010.0
+ Revision: 447139
- Update to version 1.0.1

* Thu Sep 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-1mdv2010.0
+ Revision: 444165
- Fix file list
- Update to version 1.0.0

* Thu Sep 10 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.7-1mdv2010.0
+ Revision: 437207
- Update to version 0.1.7

* Sun Aug 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.6-1mdv2010.0
+ Revision: 407661
- Update to version 0.1.6

* Fri Jul 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.5-1mdv2010.0
+ Revision: 399534
- Fix spec file
- Update to version 1.5

* Sun May 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.3-1mdv2010.0
+ Revision: 370969
- Update to 0.1.3 ( Fix crashes with mp4)

* Sun Apr 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.2-1mdv2009.1
+ Revision: 366509
- import taglib-extras


